<?php
class UPWPLMSAdmin {

	var $options;
	function __construct() {
		
		/* Plugin slug and version */
		$this->slug = 'userpro';
		$this->subslug = 'userpro-wplms';
		require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
		$this->plugin_data = get_plugin_data( UPWPLMSPATH . 'userpro-wplms.php', false, false);
		$this->version = $this->plugin_data['Version'];
		
		/* Priority actions */
		add_action('userpro_admin_menu_hook', array(&$this, 'add_menu'), 9);
		add_action('admin_init', array(&$this, 'admin_init'), 9);
	}
	
	function admin_init() {
	
		$this->tabs = array(
			'settings' => __('Settings','userpro-wplms'),
		);
		$this->default_tab = 'settings';
		$this->options = get_option('userpro_wplms');
	}
	
	
	function add_menu() {
		add_submenu_page( 'userpro', __('WPLMS','userpro-wplms'), __('WPLMS','userpro-wplms'), 'manage_options', 'userpro-wplms', array(&$this, 'admin_page') );
	}

	function admin_tabs( $current = null ) {
			$tabs = $this->tabs;
			$links = array();
			if ( isset ( $_GET['tab'] ) ) {
				$current = $_GET['tab'];
			} else {
				$current = $this->default_tab;
			}
			foreach( $tabs as $tab => $name ) :
				if ( $tab == $current ) :
					$links[] = "<a class='nav-tab nav-tab-active' href='?page=".$this->subslug."&tab=$tab'>$name</a>";
				else :
					$links[] = "<a class='nav-tab' href='?page=".$this->subslug."&tab=$tab'>$name</a>";
				endif;
			endforeach;
			foreach ( $links as $link )
				echo $link;
	}

	function get_tab_content() {
		$screen = get_current_screen();
		if( strstr($screen->id, $this->subslug ) ) {
			if ( isset ( $_GET['tab'] ) ) {
				$tab = $_GET['tab'];
			} else {
				$tab = $this->default_tab;
			}
			require_once UPWPLMSPATH.'admin/panels/'.$tab.'.php';
		}
	}
	
	function save() {
		
		/* other post fields */
		foreach($_POST as $key => $value) {
			if ($key != 'submit') {
				if (!is_array($_POST[$key])) {
					$this->options[$key] = esc_attr($_POST[$key]);
				} else {
					$this->options[$key] = $_POST[$key];
				}
			}
		}
		
		update_option('userpro_wplms', $this->options);
		echo '<div class="updated"><p><strong>'.__('Settings saved.','userpro-wplms').'</strong></p></div>';
	}

	function reset() {
		$upwplms_default_options = new UPWPLMSDefaultOptions();
		update_option('userpro_wplms', $upw_default_options->userpro_wplms_default_options() );
		$this->options = array_merge( $this->options, $upw_default_options->userpro_wplms_default_options() );
		echo '<div class="updated"><p><strong>'.__('Settings are reset to default.','userpro-wplms').'</strong></p></div>';
	}

	function admin_page() {

		if (isset($_POST['submit'])) {
			$this->save();
		}

		if (isset($_POST['reset-options'])) {
			$this->reset();
		}
		
	?>
	
		<div class="wrap <?php echo $this->slug; ?>-admin">
			
			<?php userpro_admin_bar(); ?>
			
			<h2 class="nav-tab-wrapper"><?php $this->admin_tabs(); ?></h2>

			<div class="<?php echo $this->slug; ?>-admin-contain">
				
				<?php $this->get_tab_content(); ?>
				
				<div class="clear"></div>
				
			</div>
			
		</div>

	<?php }

}

$upwplms_admin = new UPWPLMSAdmin();
?>
